SHOWSEQ(1e)

NAME
showseq - Displays sequences with features in pretty format

SYNOPSIS

showseq -sequence seqall -mfile datafile -format list -things list [-translate range] [-revtranslate range] [-uppercase range] [-highlight range] [-annotation range] [-enzymes string] [-table list] [-sourcematch string] [-typematch string] [-sensematch integer] [-minscore float] [-maxscore float] [-tagmatch string] [-valuematch string] [-stricttags boolean] -flatreformat boolean -mincuts integer -maxcuts integer -sitelen integer -single boolean -blunt boolean -sticky boolean -ambiguity boolean -plasmid boolean -methylation boolean -commercial boolean -limit boolean -orfminsize integer -threeletter boolean -number boolean -width integer -length integer -margin integer -name boolean -description boolean -offset integer -html boolean -outfile outfile

showseq -help

DESCRIPTION

showseq is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Nucleic:Translation,Nucleic:Restriction" command group(s).

OPTIONS

  Input section

-sequence seqall

-mfile datafile
    Default value: Emethylsites.dat

  Required section

-format list
    Default value: 2

-things list
    Specify a list of one or more code characters in the order in which you wish things to be displayed one above the other down the page. For example if you wish to see things displayed in the order: sequence, complement sequence, ticks line, frame 1 translation, blank line; then you should enter 'S,C,T,1,B'. Default value: B,N,T,S,A,F

  Additional section

-translate range
    Regions to translate (if translating). If this is left blank the complete sequence is translated. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888

-revtranslate range
    Regions to translate (if translating). If this is left blank the complete sequence is translated. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 78-56, 45-24, 888..765, 99=67; 45:1

-uppercase range
    Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

-highlight range
    Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

-annotation range
    Regions to annotate by marking. If this is left blank, then no annotation is added. A set of regions is specified by a set of pairs of positions followed by optional text. The positions are integers. They are followed by any text (but not digits when on the command-line). Examples of region specifications are: 24-45 new domain 56-78 match to Mouse 1-100 First part 120-156 oligo A file of ranges to annotate (one range per line) can be specified as '@filename'.

-enzymes string
    The name 'all' reads in all enzyme names from the REBASE database. You can specify enzymes by giving their names with commas between then, such as: 'HincII,hinfI,ppiI,hindiii'. The case of the names is not important. You can specify a file of enzyme names to read in by giving the name of the file holding the enzyme names with a '@' character in front of it, for example, '@enz.list'. Blank lines and lines starting with a hash character or '!' are ignored and all other lines are concatenated together with a comma character ',' and then treated as the list of enzymes to search for. An example of a file of enzyme names is: ! my enzymes HincII, ppiII ! other enzymes hindiii HinfI PpiI Default value: all

-table list

  Feature display options

-sourcematch string
    By default any feature source in the feature table is shown. You can set this to match any feature source you wish to show. The source name is usually either the name of the program that detected the feature or it is the feature table (eg: EMBL) that the feature came from. The source may be wildcarded by using '*'. If you wish to show more than one source, separate their names with the character '|', eg: gene* | embl Default value: *

-typematch string
    By default any feature type in the feature table is shown. You can set this to match any feature type you wish to show. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to show more than one type, separate their names with the character '|', eg: *UTR | intron Default value: *

-sensematch integer
    By default any feature type in the feature table is shown. You can set this to match any feature sense you wish to show. 0 - any sense, 1 - forward sense, -1 - reverse sense

-minscore float
    Minimum score of feature to display (see also maxscore) Default value: 0.0

-maxscore float
    Maximum score of feature to display. If both minscore and maxscore are zero (the default), then any score is ignored Default value: 0.0

-tagmatch string
    Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Some of these tags also have values, for example '/gene' can have the value of the gene name. By default any feature tag in the feature table is shown. You can set this to match any feature tag you wish to show. The tag may be wildcarded by using '*'. If you wish to show more than one tag, separate their names with the character '|', eg: gene | label Default value: *

-valuematch string
    Tag values are the values associated with a feature tag. Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Only some of these tags can have values, for example '/gene' can have the value of the gene name. By default any feature tag value in the feature table is shown. You can set this to match any feature tag value you wish to show. The tag value may be wildcarded by using '*'. If you wish to show more than one tag value, separate their names with the character '|', eg: pax* | 10 Default value: *

-stricttags boolean
    By default if any tag/value pair in a feature matches the specified tag and value, then all the tags/value pairs of that feature will be displayed. If this is set to be true, then only those tag/value pairs in a feature that match the specified tag and value will be displayed. Default value: N

  Advanced section

  Restriction map options

-flatreformat boolean
    This changes the output format to one where the recognition site is indicated by a row of '===' characters and the cut site is pointed to by a '>' character in the forward sense, or a '<' in the reverse sense strand. Default value: N

-mincuts integer
    This sets the minimum number of cuts for any restriction enzyme that will be considered. Any enzymes that cut fewer times than this will be ignored. Default value: 1

-maxcuts integer
    This sets the maximum number of cuts for any restriction enzyme that will be considered. Any enzymes that cut more times than this will be ignored. Default value: 2000000000

-sitelen integer
    This sets the minimum length of the restriction enzyme recognition site. Any enzymes with sites shorter than this will be ignored. Default value: 4

-single boolean
    If this is set then this forces the values of the mincuts and maxcuts qualifiers to both be 1. Any other value you may have set them to will be ignored. Default value: N

-blunt boolean
    This allows those enzymes which cut at the same position on the forward and reverse strands to be considered. Default value: Y

-sticky boolean
    This allows those enzymes which cut at different positions on the forward and reverse strands, leaving an overhang, to be considered. Default value: Y

-ambiguity boolean
    This allows those enzymes which have one or more 'N' ambiguity codes in their pattern to be considered Default value: Y

-plasmid boolean
    If this is set then this allows searches for restriction enzyme recognition site and cut positions that span the end of the sequence to be considered. Default value: N

-methylation boolean
    If this is set then RE recognition sites will not match methylated bases. Default value: N

-commercial boolean
    If this is set, then only those enzymes with a commercial supplier will be searched for. This qualifier is ignored if you have specified an explicit list of enzymes to search for, rather than searching through 'all' the enzymes in the REBASE database. It is assumed that, if you are asking for an explicit enzyme, then you probably know where to get it from and so all enzymes names that you have asked to be searched for, and which cut, will be reported whether or not they have a commercial supplier. Default value: Y

-limit boolean
    This limits the reporting of enzymes to just one enzyme from each group of isoschizomers. The enzyme chosen to represent an isoschizomer group is the prototype indicated in the data file 'embossre.equ', which is created by the program 'rebaseextract'. If you prefer different prototypes to be used, make a copy of embossre.equ in your home directory and edit it. If this value is set to be false then all of the input enzymes will be reported. You might like to set this to false if you are supplying an explicit set of enzymes rather than searching 'all' of them. Default value: Y

-orfminsize integer
    This sets the minimum size of Open Reading Frames (ORFs) to display in the translations. All other translation regions are masked by changing the amino acids to '-' characters.

-threeletter boolean
    Default value: N

-number boolean
    Default value: N

-width integer
    Default value: 60

-length integer

-margin integer
    Default value: 10

-name boolean
    Set this to be false if you do not wish to display the ID name of the sequence Default value: Y

-description boolean
    Set this to be false if you do not wish to display the description of the sequence Default value: Y

-offset integer
    Default value: 1

-html boolean
    Default value: N

  Output section

-outfile outfile

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

showseq is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.